---
title: "List version-bound presentation preview recipients"
---

> Documentation Index
> Fetch the complete documentation index at: https://docs.sureshake.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Sureshake API › entities

`GET /v2/entities/{id}/presentation/preview-grants`

## Path parameters

- `id` (`company-presentations-list-preview-grants.path.id`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request GET \
  --url 'https://api.sureshake.com/v2/entities/<id>/presentation/preview-grants'
```

### TypeScript

```typescript
const url = 'https://api.sureshake.com/v2/entities/<id>/presentation/preview-grants';
const options = {method: 'GET'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.sureshake.com/v2/entities/<id>/presentation/preview-grants"

response = requests.get(url)

print(response.text)
```

## Responses

### 200

Default Response

#### Example

```json
{
  "data": [
    {
      "grant": {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "presentationId": "e1fc6bcc-f902-4bce-8b40-504b99e58d26",
        "entityId": "156e622c-6cdf-4c27-9bc9-2f2db69919f5",
        "versionId": "14707576-2549-4848-82ed-f68f8a1b47c7",
        "recipientUserId": "string",
        "grantedByUserId": "string",
        "expiresAt": "2019-08-24T14:15:22Z",
        "revokedAt": "2019-08-24T14:15:22Z",
        "revokedByUserId": "string",
        "createdAt": "2019-08-24T14:15:22Z"
      },
      "recipient": {
        "id": "string",
        "name": "string",
        "email": "user@example.com"
      },
      "status": "active",
      "sharePath": "string"
    }
  ],
  "meta": {
    "total": 0,
    "limit": 0,
    "offset": 0,
    "hasMore": true,
    "page": 0,
    "totalPages": 0
  }
}
```

- `data` (`company-presentations-list-preview-grants.response.200.data`; array<object>, required)
  - `grant` (`company-presentations-list-preview-grants.response.200.data.grant`; object, required)
    - `id` (`company-presentations-list-preview-grants.response.200.data.grant.id`; string, required)
      - format `uuid`
    - `presentationId` (`company-presentations-list-preview-grants.response.200.data.grant.presentationId`; string, required)
      - format `uuid`
    - `entityId` (`company-presentations-list-preview-grants.response.200.data.grant.entityId`; string, required)
      - format `uuid`
    - `versionId` (`company-presentations-list-preview-grants.response.200.data.grant.versionId`; string, required)
      - format `uuid`
    - `recipientUserId` (`company-presentations-list-preview-grants.response.200.data.grant.recipientUserId`; string, required)
      - minLength 1
    - `grantedByUserId` (`company-presentations-list-preview-grants.response.200.data.grant.grantedByUserId`; string, required)
      - minLength 1
    - `expiresAt` (`company-presentations-list-preview-grants.response.200.data.grant.expiresAt`; string, required)
      - format `date-time`
    - `revokedAt` (`company-presentations-list-preview-grants.response.200.data.grant.revokedAt`; string, required, nullable)
      - format `date-time`
    - `revokedByUserId` (`company-presentations-list-preview-grants.response.200.data.grant.revokedByUserId`; string, required, nullable)
      - minLength 1
    - `createdAt` (`company-presentations-list-preview-grants.response.200.data.grant.createdAt`; string, required)
      - format `date-time`
  - `recipient` (`company-presentations-list-preview-grants.response.200.data.recipient`; object, required)
    - `id` (`company-presentations-list-preview-grants.response.200.data.recipient.id`; string, required)
      - minLength 1
    - `name` (`company-presentations-list-preview-grants.response.200.data.recipient.name`; string, required)
      - minLength 1
    - `email` (`company-presentations-list-preview-grants.response.200.data.recipient.email`; string, required)
      - format `email`
  - `status` (`company-presentations-list-preview-grants.response.200.data.status`; string, required)
    - one of `"active"`, `"expired"`, `"revoked"`
  - `sharePath` (`company-presentations-list-preview-grants.response.200.data.sharePath`; string, required)
    - pattern `^\/`
- `meta` (`company-presentations-list-preview-grants.response.200.meta`; object, required)
  - `total` (`company-presentations-list-preview-grants.response.200.meta.total`; number, required) — Total number of items available
  - `limit` (`company-presentations-list-preview-grants.response.200.meta.limit`; number, required) — Number of items per page
  - `offset` (`company-presentations-list-preview-grants.response.200.meta.offset`; number, required) — Number of items skipped
  - `hasMore` (`company-presentations-list-preview-grants.response.200.meta.hasMore`; boolean, required) — Whether more items are available
  - `page` (`company-presentations-list-preview-grants.response.200.meta.page`; number, optional) — Current page number
  - `totalPages` (`company-presentations-list-preview-grants.response.200.meta.totalPages`; number, optional) — Total number of pages

### 400

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`company-presentations-list-preview-grants.response.400.error`; object, required)
  - `code` (`company-presentations-list-preview-grants.response.400.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`company-presentations-list-preview-grants.response.400.error.message`; string, required) — Human-readable error message
  - `details` (`company-presentations-list-preview-grants.response.400.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`company-presentations-list-preview-grants.response.400.error.traceId`; string, optional) — Unique ID for log correlation

### 401

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`company-presentations-list-preview-grants.response.401.error`; object, required)
  - `code` (`company-presentations-list-preview-grants.response.401.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`company-presentations-list-preview-grants.response.401.error.message`; string, required) — Human-readable error message
  - `details` (`company-presentations-list-preview-grants.response.401.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`company-presentations-list-preview-grants.response.401.error.traceId`; string, optional) — Unique ID for log correlation

### 403

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`company-presentations-list-preview-grants.response.403.error`; object, required)
  - `code` (`company-presentations-list-preview-grants.response.403.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`company-presentations-list-preview-grants.response.403.error.message`; string, required) — Human-readable error message
  - `details` (`company-presentations-list-preview-grants.response.403.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`company-presentations-list-preview-grants.response.403.error.traceId`; string, optional) — Unique ID for log correlation

### 404

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`company-presentations-list-preview-grants.response.404.error`; object, required)
  - `code` (`company-presentations-list-preview-grants.response.404.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`company-presentations-list-preview-grants.response.404.error.message`; string, required) — Human-readable error message
  - `details` (`company-presentations-list-preview-grants.response.404.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`company-presentations-list-preview-grants.response.404.error.traceId`; string, optional) — Unique ID for log correlation

### 409

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`company-presentations-list-preview-grants.response.409.error`; object, required)
  - `code` (`company-presentations-list-preview-grants.response.409.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`company-presentations-list-preview-grants.response.409.error.message`; string, required) — Human-readable error message
  - `details` (`company-presentations-list-preview-grants.response.409.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`company-presentations-list-preview-grants.response.409.error.traceId`; string, optional) — Unique ID for log correlation

### 500

Default Response

#### Example

```json
{
  "error": {
    "code": "string",
    "message": "string",
    "details": null,
    "traceId": "string"
  }
}
```

- `error` (`company-presentations-list-preview-grants.response.500.error`; object, required)
  - `code` (`company-presentations-list-preview-grants.response.500.error.code`; string, required) — Machine-readable error code (e.g., NOT_FOUND)
  - `message` (`company-presentations-list-preview-grants.response.500.error.message`; string, required) — Human-readable error message
  - `details` (`company-presentations-list-preview-grants.response.500.error.details`; unknown, optional) — Optional structured error details
  - `traceId` (`company-presentations-list-preview-grants.response.500.error.traceId`; string, optional) — Unique ID for log correlation


Source: https://docs.sureshake.com/reference/company-presentations-list-preview-grants/index.md
